{% extends "base.html" %}
{% load l10n %}

{% block title %}Interventions de bénévole{% endblock %}

{% block breadcrumb %}
<li class="breadcrumb-item"><a href="{% url 'home' %}">Accueil</a></li>
<li class="breadcrumb-item"><a href="{% url 'benevoles' 'alarme' %}">Bénévoles</a></li>
<li class="breadcrumb-item"><a href="{% url 'benevole-edit' 'alarme' benevole.pk %}">{{ benevole.get_full_name }}</a></li>
<li class="breadcrumb-item active" aria-current="page">Interventions</li>
{% endblock %}

{% block content %}
    <div class="row mt-2 mb-2">
      <div class="col-12 col-md-9">
        {% include 'benevole/benevole_tabs.html' with active='interv' %}
      </div>
      <div class="col-12 col-md-3 text-end">
          <button type="button" class="btn btn-primary openmodal" title="Ajouter une nouvelle intervention"
                  data-modalurl="{% url 'benevole-intervention-new' benevole.pk %}">Nouvelle intervention</button
      </div>
    </div>

    <table class="table">
        <thead>
            <tr class="table-light">
                <th>Effectuée le</th><th>Pour</th><th>Description</th><th>Durée<sup>1</sup></th><th>Frais</th><th>Km</th>
            </tr>
        </thead>
        <tbody>
        {% for mission in object_list %}
            <tr>
                <td><a href="{{ mission.edit_url }}" class="openmodal"
                       {% if perms.alarme.delete_mission %}
                       data-deleteurl="{% url 'mission-delete' mission.pk %}"
                       data-deleteconfirm="Voulez-vous vraiment annuler cette intervention ?"
                       {% endif %}>
                    {% if mission.effectuee %}{{ mission.effectuee|date:'d.m.Y' }}{% else %}
                      {% if mission.delai %}Délai: {{ mission.delai|date:'d.m.Y' }}{% else %}-{% endif %}
                    {% endif %}</a>
                </td>
                <td>{% if mission.client %}<a href="{{ mission.client.get_absolute_url }}">{{ mission.client }}</a>{% else %}-{% endif %}</td>
                <td><b>{{ mission.type_mission }}</b>
                    <br>{{ mission.description }}
                    {% if mission.rapport %}
                    <details class="mission_rapport">
                        <summary>Rapport</summary>
                        <div>{{ mission.rapport|linebreaksbr }}</div>
                    </details>
                    {% endif %}
                </td>
                <td>{{ mission.duree_client|strip_seconds|default_if_none:'-' }}<br>
                    {{ mission.duree_seul|strip_seconds|default_if_none:'-' }}
                </td>
                <td>
                {% for frais in mission.frais.all %}
                    <div>
                        {{ frais.description }}: {{ frais.cout|unlocalize }} CHF
                        {% if frais.justif %}<a href="{{ frais.justif.url }}"><img src="{% static 'ficons/master.svg' %}" class="icon"></a>{% endif %}
                    </div>
                    {% endfor %}
                </td>
                <td>{{ mission.km|default_if_none:'-' }}</td>
            </tr>
        {% endfor %}
        </tbody>
    </table>

    {% include 'pagination.html' %}

    <div><sup>1</sup> <i>Première durée avec client, deuxième durée sans client</i></div>
{% endblock %}
